Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9646

Department: SUPPORT Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Support Anfrage:

Wieder ein Copy & Paste Fehler

filterbase.h Zeile 160-166

You can use an initializer list for the \p lstItems as follow:

@code {.cpp}

create_inner_pipe(m_oMyFilter, {"in_pin_1", "my_fancy_runner", "out_pin_1"}

;

@endcode

This function will create a pipe where the "my_fancy_runner" will be called from "in_pin_1" if some a synchronous DataTrigger is

received.

"my_fanc_runner" will read data from "in_pin_1" by its Readers (or do something else) and writes data to the "out_pin_1".

If the "my_fancy_runner" returns it will forward a synchronous DataTrigger to "out_pin_1".

Das passt nicht zur Dokumentation des Templates:

template <typename DATABINDING_BEHAVIOUR_CLASS>

tResult create_inner_pipe(DATABINDING_BEHAVIOUR_CLASS& oComponent,

const adtf_util::cString& strNameOfRunner,

const adtf_util::cString& strSource,

base::runnable<base::ant::IRunnable::RUN_TRIGGER>::tRunFunction oRunFunc)

Fehlender lstItems Parameter. Wurde von der Doku ein paar Zeilen weiter oben kopiert, wo das Template so aussah:

template <typename DATABINDING_BEHAVIOUR_CLASS>

inline tResult create_inner_pipe(DATABINDING_BEHAVIOUR_CLASS& oComponent,

adtf_util::cStringList lstItems)

Lösung:

Problem kann in der Datei filterbase.h nachvollzogen werden.

Produkt-Ticket (BUG) ACORE-9646 erstellt.

Die weitere Bearbeitung erfolgt über das Produkt-Ticket.

History

#1 - 2018-08-29 11:49 - hidden

- Project changed from Public Support to 7

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Doc

- Customer set to ELEKTROBIT

- Department set to SUPPORT
- Affected Products ADTF 3.3.3 added

Hallo Flo,

ich finde die von Dir angegebene Stelle in der Doku bzw. bei filterbase.h nicht.

Kannst Du uns diese bitte genauer nennen oder ggf. den genauen Dateipfad angeben?

Danke und Gruß

Matthias

#2 - 2018-08-29 13:01 - hidden

- Status changed from Customer Feedback Required to In Progress

Hallo zusammen,

Aussage zurück - ich habe die Stelle in der filterbase.h gefunden.

Ich hatte vorher direkt in der Doku gesucht.

Ich erstelle ein Produkt-Ticket hierzu.

#3 - 2018-08-29 13:18 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9646

Produkt-Ticket (BUG) ACORE-9646 erstellt.

Die weitere Bearbeitung erfolgt über das Produkt-Ticket.

Können wir das Support Ticket damit schließen?

Gruß

Matthias

#5 - 2018-08-30 11:03 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Platform Windows 7 64bit added

Antwort von EB (siehe #3909):

Ja, kann zu

#6 - 2018-08-30 12:23 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-1194 ADTF 3.3.3 wieder ein Doku Fehler to EBPRODUCTSUPPORT-1194 Wrong Template

documentation

- Status changed from To Be Closed to Closed

- Private changed from Yes to No
